## org.eclipse.datatools.connectivity.sqm.core.containment
Class ContainmentServiceImpl

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.ContainmentServiceImpl

All Implemented Interfaces:
  ContainmentService

    public final class ContainmentServiceImpl

extends java.lang.Object
implements ContainmentService

Field Summary
`static ContainmentService` `INSTANCE`

Method Summary
`java.util.Collection` `getAllContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj)`
`java.util.Collection` `getAllContainedElements(org.eclipse.emf.ecore.EObject obj)`
`java.util.List` `getAllContainers(org.eclipse.emf.ecore.EObject obj)`
`java.util.Collection` `getContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj)`
`java.util.Collection` `getContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj, java.lang.String group)`
`java.util.Collection` `getContainedElements(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EObject` `getContainer(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EStructuralFeature` `getContainmentFeature(org.eclipse.emf.ecore.EObject obj)`
`java.lang.String` `getGroupId(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EObject` `getRootElement(org.eclipse.emf.ecore.EObject obj)`
`boolean` `isDisplayableElement(org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ContainmentService INSTANCE

Method Detail

### getContainedElements

    public java.util.Collection getContainedElements(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainedElements` in interface `ContainmentService`

### getAllContainedElements

    public java.util.Collection getAllContainedElements(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getAllContainedElements` in interface `ContainmentService`

### getContainedDisplayableElements

    public java.util.Collection getContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainedDisplayableElements` in interface `ContainmentService`

### getAllContainedDisplayableElements

    public java.util.Collection getAllContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getAllContainedDisplayableElements` in interface `ContainmentService`

### getContainedDisplayableElements

    public java.util.Collection getContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj,
                                                                java.lang.String group)

  Specified by:
    `getContainedDisplayableElements` in interface `ContainmentService`

### isDisplayableElement

    public boolean isDisplayableElement(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `isDisplayableElement` in interface `ContainmentService`

### getContainer

    public org.eclipse.emf.ecore.EObject getContainer(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainer` in interface `ContainmentService`

### getAllContainers

    public java.util.List getAllContainers(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getAllContainers` in interface `ContainmentService`

### getRootElement

    public org.eclipse.emf.ecore.EObject getRootElement(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getRootElement` in interface `ContainmentService`

### getContainmentFeature

    public org.eclipse.emf.ecore.EStructuralFeature getContainmentFeature(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainmentFeature` in interface `ContainmentService`

### getGroupId

    public java.lang.String getGroupId(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getGroupId` in interface `ContainmentService`